aboutsummaryrefslogtreecommitdiff
path: root/src/cmd/make.bash
diff options
context:
space:
mode:
authorRuss Cox <rsc@golang.org>2008-09-18 15:06:43 -0700
committerRuss Cox <rsc@golang.org>2008-09-18 15:06:43 -0700
commit76036192b92b15b9f5cade8941909a4207d17507 (patch)
tree630f7c28e6159848a87164cf9be53cca1c985b5b /src/cmd/make.bash
parent899c5281da89e584e6793cf4ee39cb5c697929c1 (diff)
downloadgo-76036192b92b15b9f5cade8941909a4207d17507.tar.xz
make Makefiles safe for parallel make
use -j4 (4-way parallel) in make.bash. halves time for make.bash on r45 also add libregexp, acid to default build R=r DELTA=90 (39 added, 37 deleted, 14 changed) OCL=15485 CL=15487
Diffstat (limited to 'src/cmd/make.bash')
-rw-r--r--src/cmd/make.bash52
1 files changed, 8 insertions, 44 deletions
diff --git a/src/cmd/make.bash b/src/cmd/make.bash
index 84332440d0..be8df76001 100644
--- a/src/cmd/make.bash
+++ b/src/cmd/make.bash
@@ -3,6 +3,7 @@
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.
+set -e
bash clean.bash
@@ -11,47 +12,10 @@ bash mkenam
make enam.o
cd ..
-echo; echo; echo %%%% making cc %%%%; echo
-cd cc
-make install
-cd ..
-
-echo; echo; echo %%%% making 6l %%%%; echo
-cd 6l
-make install
-cd ..
-
-echo; echo; echo %%%% making 6a %%%%; echo
-cd 6a
-make install
-cd ..
-
-echo; echo; echo %%%% making 6c %%%%; echo
-cd 6c
-make install
-cd ..
-
-echo; echo; echo %%%% making gc %%%%; echo
-cd gc
-make install
-cd ..
-
-echo; echo; echo %%%% making 6g %%%%; echo
-cd 6g
-make install
-cd ..
-
-echo; echo; echo %%%% making ar %%%%; echo
-cd ar
-make install
-cd ..
-
-echo; echo; echo %%%% making db %%%%; echo
-cd db
-make install
-cd ..
-
-echo; echo; echo %%%% making nm %%%%; echo
-cd nm
-make install
-cd ..
+for i in cc 6l 6a 6c gc 6g ar db nm acid
+do
+ echo; echo; echo %%%% making $i %%%%; echo
+ cd $i
+ make install
+ cd ..
+done